---
lang: en
title: 'API docs: context-explorer.rendergraph'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/extensions/context-explorer
permalink: /doc/en/lb4/apidocs.context-explorer.rendergraph.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/context-explorer](./context-explorer.md) &gt; [renderGraph](./context-explorer.rendergraph.md)

## renderGraph() function

Render a graphviz dot string

**Signature:**

```typescript
export declare function renderGraph(graph: string, options?: {
    engine?: string;
    format?: string;
}): Promise<string>;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

graph


</td><td>

string


</td><td>

A graph in dot format


</td></tr>
<tr><td>

options


</td><td>

{ engine?: string; format?: string; }


</td><td>

_(Optional)_ Options for the rendering


</td></tr>
</tbody></table>
**Returns:**

Promise&lt;string&gt;


